<div ng-controller="EnfundeProductorController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a>Enfunde</a>
          </li>
          <li>
            <a>Semana</a>
          </li>
          <li>
            <a>Productor</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <div class="panel">
            <div class="panel-body">
              <div class="row">
                <div class="col-md-5">
                  <span ng-if="semana.color_cinta != '#FFFFFF'" class="label" style="background: {{semana.color_cinta}}"><strong>CINTA : {{semana.nombre_cinta}} / SEMANA : {{semana.semana}}</strong></span>
                  <span ng-if="semana.color_cinta == '#FFFFFF'" class="label" style="background: {{semana.color_cinta}};color: black;border: 1px solid blue"><strong>CINTA :{{semana.nombre_cinta}} - SEMANA : {{semana.semana}}</strong></span>
                </div>
                <div class="col-md-3">
                </div>
                <div class="col-md-4">
                  <div class="pull-right">
                    <a class="btn btn-xs btn-primary btn-rounded-10" ui-sref="admin.enfunde.semana"><i class="fa fa-arrow-left"></i>  Regresar</a>
                  </div>
                </div>
              </div>
            </div>
          </div> 
        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE PRODUCTORES</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Productores">
                  </div>
                </div>
                <div class="col-md-2">
                  
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <select class="form-control" ng-model="id_empacadora" name="id_empacadora" ng-options="empacadora.id as empacadora.nombre for empacadora in empacadoras" ng-change="list(true)" required>
                      <option value="">-- SELECCIONE EMPACADORA --</option>
                    </select> 
                  </div>
                </div>
                <div class="col-md-12">
                  <hr>
                </div>
              </div>

              <div class="row" ng-show="isLoading">
                <div class="col-md-12">
                  <loading></loading>
                </div>
              </div>

              <div class="row" ng-show="!isLoading">
                  <div class="col-md-12">
                    <h5 class="text-right"><strong>CANTIDAD : {{productores.length}} PRODUCTORES</strong></h5>
                  </div>
                  <div class="col-md-12" ng-show="productores.length > 0">
                    <small>
                      <div class="table-responsive">
                        <table class="table table-bordered">
                          <tr style="background:#F2F2F2">
                              <th>PRODUCTOR</th>
                              <th class="text-center">ÁREA TOTAL</th>
                              <th class="text-center">N°</th>
                              <th class="text-center">ÁREA</th>
                              <th class="text-center">EMPACADORA</th>
                              <th>SECTOR</th>
                              <th class="text-center">ENFUNDE</th>
                          </tr>
                          <tbody dir-paginate="productor in productores |filter: buscar | itemsPerPage: 10" pagination-id="productor.id">
                              <tr>
                                  <td rowspan="{{productor.parcelas.length+1}}">
                                    {{productor.fullname | uppercase}} 
                                  </td>
                                  <td class="text-center" rowspan="{{productor.parcelas.length+1}}" nowrap>{{productor.area_total | number : 2}}</td>
                                  <td class="text-center" nowrap>{{productor.parcelas[0].numero}}</td>
                                  <td class="text-center" nowrap>{{ productor.parcelas[0].ha_sembrada | number : 2 }}</td>
                                  <td class="text-center" nowrap>{{productor.parcelas[0].empacadora | uppercase}}</td>
                                  <td nowrap>{{productor.parcelas[0].sector | uppercase}}</td>
                                  <td class="text-center" style="width: 150px;">
                                    <div class="input-group" ng-if="semana.is_close==0">  
                                      <input type="number" min="0" ng-disabled="!productor.parcelas[0].enable" ng-model="productor.parcelas[0].enfunde.racimas_enfundadas" ng-keypress="enter($event,productor.parcelas[0])" class="form-control" style="border-right-radius: 0px;">
                                      <span class="input-group-btn"> 
                                        <button class="btn btn-info" ng-click="save(productor.parcelas[0])" type="button" class="form-control" style="border-right-radius: 4px;">
                                          <i ng-if="!productor.parcelas[0].enable" class="icon-pencil"></i>
                                          <i ng-if="productor.parcelas[0].enable" class="fa fa-save"></i>
                                        </button>
                                      </span> 
                                    </div>
                                    <div ng-if="semana.is_close==1">
                                      <span ng-if="productor.parcelas[0].enfunde.racimas_enfundadas">{{productor.parcelas[0].enfunde.racimas_enfundadas}}</span>
                                      <span ng-if="!productor.parcelas[0].enfunde.racimas_enfundadas">0</span>
                                    </div>
                                  </td>
                              </tr>
                              <tr ng-repeat="parcela in productor.parcelas.slice(1,productor.parcelas.length)">
                                  <td class="text-center" nowrap>{{parcela.numero}}</td>
                                  <td class="text-center" nowrap>{{parcela.ha_sembrada | number : 2 }}</td>
                                  <td class="text-center" nowrap>{{parcela.empacadora | uppercase}}</td>
                                  <td nowrap>{{parcela.sector | uppercase}}</td>
                                  <td class="text-center" style="width: 150px;">
                                    <div class="input-group" ng-if="semana.is_close==0">  
                                      <input type="number" min="0" ng-disabled="!parcela.enable" ng-model="parcela.enfunde.racimas_enfundadas" ng-keypress="enter($event,parcela)" class="form-control" style="border-right-radius: 0px;">
                                      <span class="input-group-btn"> 
                                        <button class="btn btn-info" type="button" ng-click="save(parcela)" class="form-control" style="border-right-radius: 4px;">
                                          <i ng-if="!parcela.enable" class="icon-pencil"></i>
                                          <i ng-if="parcela.enable" class="fa fa-save"></i>
                                        </button>
                                      </span> 
                                    </div>
                                    <div ng-if="semana.is_close==1">
                                      <p ng-if="parcela.enfunde.racimas_enfundadas">{{parcela.enfunde.racimas_enfundadas}}</p>
                                      <p ng-if="!parcela.enfunde.racimas_enfundadas">0</p>
                                    </div>
                                  </td>
                              </tr>
                          </tbody>
                        </table>
                      </div>
                    </small>
                    <div class="text-center">
                      <dir-pagination-controls pagination-id="productor.id"></dir-pagination-controls>
                    </div>
                  </div>
                  <div class="col-md-12" ng-show="productores.length == 0">
                    <p class="text-center">
                      <i class="icon-info fa-4x"></i>
                      <h5 class="text-center">no hay productores registradas...</h5>
                    </p>
                  </div>
              </div>

            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="productor_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="Productor"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="nombre">Nombre</label>
              <input type="text" class="form-control uppercase" name="nombre" ng-model="obj.nombre" placeholder="Nombre" required> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">          
              <label for="id_pais">País</label>
              <select class="form-control" name="id_pais" ng-model="obj.id_pais" ng-options="pais.id as pais.nombre for pais in paises" required>
                <option value="">-- SELECCIONE PAÍS --</option>
              </select>
            </div>
          </div>
        </div>

        <div class="form-group">
          <span class="obligatorio">*</span> Campos Obligatorios
        </div>
        
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>
    </div>
  </script>
  <script  type="text/ng-template" id="productor_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>